Sådan fix phpmyadmin-kan ikke indlæse mcrypt udvidelse?

Du kan få de nedenfor phpMyAdmin fejl et par forskellige grunde, der kunne relateres til at opgradere PHP eller eventuelt på en ny installation af phpMyAdmin. Spørgsmålet kan løses nemt ved at installere eller opgradere mcrypt på din server.

phpMyAdmin-mcrypt-fejl

Fejl:Kan ikke indlæse mcrypt forlængelse. Tjek venligst din PHP konfiguration.

Hvis du modtager denne fejl blot logge ind på din server, som i dette tilfælde var en 5.2 CentOS server, og installere eller opgradere mcrypt ved hjælp af yum pakke manager. Den pakke, der skal være installeret for mcrypt til at arbejde ordentligt med phpMyAdmin er php-mcrypt.

Installere/opgradere mcrypt:

  • yum installere php-mbstring //For Centos
  • sudo installere php mbstring //For Ubuntu

kan ikke indlæse mcrypt forlængelse 2

Versionerne skal matche som vist ovenfor så hvis de gør ikke match dette bør være det første sted at starte fejlfinding.

sudo /etc/init.d/httpd genstart

Endelig, Opdater for at tjekke dens i orden.

Efterlad et Svar